bz_list_computers
  • 11 Apr 2025
  • Dark
    Light

bz_list_computers

  • Dark
    Light

Article summary

Get
/api/backup/v1/bz_list_computers

Provides a list of active computer backups for an account.

The accountId included in this request must be associated with a group with Enterprise Controls enabled. Additionally, the caller must be an admin of that group.

The response includes nextComputerId, which can be passed as the value for the startComputerId parameter in a request.

NOTE: Previously deleted or canceled backups will not be returned.

Header parameters
Authorization
stringRequired

An account authorization token, obtained from b2_authorize_account.

Query parameters
accountId
stringRequired

The identifier for the account.

NOTE:The accountId must be a member of a group with Enterprise Controls enabled.

ExampleACCOUNT_ID
startComputerId
string

Optional field to determine which computer to begin listing from.

Exampleasd87fa98a7759709981c
maxComputerCount
integer

Maximum number of computers to return. The current range is 1-500 and the default count is 100 if no value is provided. The current application limit is 1000 computer backups per account.

Example200
Responses
200

The request succeeded.

Array of object
object
nextComputerId
string

The computerId that can be passed as the value of the request parameter startComputerId.

Exampledeb0b1bcd412a7759709081c
computers
Array of object

The list of computers.

Example{ "computers": [ { "computerId": "aab0a1acc4e227559729081c", "computerName": "johnsmith4268_2024_09_24", "lastFileUploadedTimestamp": 1727276780000 }, { "computerId": "2ed0514c345227a59729081c", "computerName": "johnsmith4268_2024_09_25", "lastFileUploadedTimestamp": 1727285088000 }, { "computerId": "6260a1cc440227a59729081c", "computerName": "johnsmith4268_2024_09_25", "lastFileUploadedTimestamp": 1727285878000 } ], "nextComputerId": null }
object
computerId
string

The unique identifier for the computer.

Exampledeb0b1bcd412a7759709081c
computerName
string

Name of computer.

Examplejohnsmith4268_2024_07_12
lastFileUploadedTimestamp
integer

Timestamp of last time the client backed up to the data center. Used to determine if a computer backup is no longer in use.

Example1721292320000
400
statuscodedescription
400bad_requestThe request had the wrong fields or illegal values. The message returned with the error will describe the problem.
400invalid_account_idThe accountId parameter is invalid or was not found.
400invalid_computer_idThe startComputerId parameter is invalid.
400out_of_rangeThe maxComputerCount parameter is out of range.
object
status
integer

The numeric HTTP status code. Always matches the status in the HTTP response.

Example400
code
string

A single-identifier code that identifies the error.

Exampleinvalid_bucket_name
message
string

A human-readable message, in English, saying what went wrong.

Examplebucket name is too long

Was this article helpful?

What's Next